/* global angular, random */
angular.module("app").config([
    '$stateProvider',
    function ($stateProvider) {
        $stateProvider.state('main.tags_lista', {
            url: '/tags?pagina&ordenamiento&buscar',
            templateUrl: 'templates/tags/tags-list.html' + random,
            controller: 'TagsListCtrl',
            resolve: {
                loadMyCtrl: [
                    '$ocLazyLoad',
                    function ($ocLazyLoad) {
                        return $ocLazyLoad.load([
                            'js/controllers/tags-controllers.js' + random,
                            'js/services/tags-services.js' + random,
                            'js/services/ventas-tag-services.js' + random
                        ]);
                    }
                ]
            }
        });
    }
]);